%define mpiimpl openmpi
%define mpidir %_libexecdir/%mpiimpl
%define hdf5dir %mpidir

Name: gmsh
Summary: Automatic 3D finite element grid generator
Version: 2.3.1
Release: alt1
Group: Graphics
License: GPL v2
URL: http://www.geuz.org/gmsh/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar.gz

BuildPreReq: libfltk-devel libjpeg-devel zlib-devel libpng-devel
BuildPreReq: libnetgen-devel libann-devel libmetis-devel libchaco-devel
BuildPreReq: libtetgen-devel getfemxx libGL-devel libGLU-devel libX11-devel
BuildPreReq: libXft-devel libXext-devel libhdf5-mpi-devel %mpiimpl-devel
BuildPreReq: libatlas-devel liblapack-devel tetex

%description
Gmsh is an automatic 3D finite element grid generator with a built-in CAD engine
and post-processor. Its design goal is to provide a simple meshing tool for
academic problems with parametric input and advanced visualization capabilities.

Gmsh is built around four modules: geometry, mesh, solver and post-processing.
The specification of any input to these modules is done either interactively
using the graphical user interface or in ASCII text files using Gmsh's own
scripting language.

%package demos
Summary: Tutorial and demo files for Gmsh
Group: Graphics
BuildArch: noarch

%description demos
Gmsh is an automatic 3D finite element grid generator with a built-in CAD engine
and post-processor. Its design goal is to provide a simple meshing tool for
academic problems with parametric input and advanced visualization capabilities.

Gmsh is built around four modules: geometry, mesh, solver and post-processing.
The specification of any input to these modules is done either interactively
using the graphical user interface or in ASCII text files using Gmsh's own
scripting language.

This package contains tutorial and demo files for Gmsh.

%prep
%setup
sed -i 's|@MPIDIR@|%mpidir|g' Makefile

%build
mpi-selector --set %mpiimpl
source %mpidir/bin/mpivars.sh

INCS="-I%_includedir/ANN -I%_includedir/metis"
%add_optflags -fno-strict-aliasing $INCS
%configure \
	--enable-mpi \
	--enable-hdf5 \
	--with-hdf5-prefix=%hdf5dir \
	--with-mpi-prefix=%mpidir \
	CC=mpicc CXX=mpicxx FC=mpif77
%make_build

pushd doc/texinfo
%make info
popd

%install
%makeinstall

install -d %buildroot%_datadir/%name/demos
install -d %buildroot%_datadir/%name/tutorial
install -p -m644 tutorial/* %buildroot%_datadir/%name/tutorial

install -d %buildroot%_infodir
install -m644 doc/texinfo/%name.info* %buildroot%_infodir

%files
%doc doc/CREDITS.txt doc/LICENSE.txt doc/TODO.txt doc/VERSIONS.txt
%doc doc/README.gui doc/FAQ.txt
%_bindir/*
%_man1dir/*
%_infodir/*

%files demos
%dir %_datadir/%name
%_datadir/%name/demos
%_datadir/%name/tutorial

%changelog
* Mon Sep 14 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3.1-alt1
- Initial build for Sisyphus

